=== FlexMeeting - Webinar & Meeting Plugin for Jitsi Meet ===

== Archived Changelog Entries ==

This file contains older changelog entries, so we can keep the size of the standard WordPress readme.txt file reasonable.
For the latest changes, please see the "Changelog" section of the [Plugin](https://wordpress.org/plugins/webinar-and-video-conference-with-jitsi-meet/#developers).


= 2.8.3 – 05 May 2026 =
* **New:** Added automated email reminders for recurring meetings — sends notifications to registered participants before each occurrence via WP-Cron
* **New:** Added manual "Send Reminder Email" button — lets hosts send on-demand reminders to registered attendees from admin, frontend, and multivendor interfaces
* **New:** Added multi-day weekday selection for weekly recurring meetings — choose multiple days (e.g. Mon + Wed + Fri) in a single meeting
* **New:** Added "Repeat every N weeks" interval for weekly recurring meetings — supports bi-weekly, tri-weekly, and custom intervals
* **Improvement:** Updated pro upgrade links throughout the plugin with new short URLs

= 2.7.3 – 17 Apr 2025 =
* **Improvement:** Enhanced compatibility to support WordPress 6.8

= 2.7.2 – 12 Mar 2025 =
* **New:** Added support for Whiteboard

= 2.7.1 – 06 Mar 2025 =
* **Fix:** Fixed a typo

= 2.7.0 – 27 Feb 2025 =
* **New:** Added a frontend add-on allowing users to create meetings directly from the frontend 
* **New:** Added support for Jass 8x8 
* **Improvement:** Integrated the multivendor add-on into the main plugin — no extra installation required
* **Improvement:** Enhanced the add-on page design to be fully responsive

= 2.6.25 – 06 Feb 2025 =
* **Improvement:** Improved meeting login and registration process

= 2.6.24 – 04 Feb 2025 =
* **Fix:** Resolved issue where meeting login did not work when using a shortcode
* **Fix:** Fixed saved meetings not being selected in WooCommerce
* **Fix:** Addressed issue where the meeting interface failed to load when using a shortcode

= 2.6.23 – 29 Jan 2025 =
* **Improvement:** Enhanced notice functionality and removed unnecessary notices

= 2.6.22 – 08 Jan 2025 =
* **Improvement:** Updated Api settings

= 2.6.21 – 02 Jan 2025 =
* **Improvement:** Updated SDK

= 2.6.20 – 30 Nov 2024 =
* **Improvement:** Updated Appsero notice that clarifies what data we collect to help users understand what they are sharing

= 2.6.19 – 27 Nov 2024 =
* **Improvement:** Resolved the error caused by premature loading of some functions

= 2.6.18 - 21 Nov 2024 =
- Improvement: Popup module and SDK update

= 2.6.17 - 18 Nov 2024 =
- New: Added support for meeting booking with WooCommerce Bookings in WCFM Multivendor

= 2.6.16 - 14 Nov 2024 =
- Improvement: Enhanced compatibility to support WordPress 6.7

= 2.6.15 - 30 Oct 2024 =
- Fix: Resolved an issue where meetings created via Elementor were not functioning correctly

= 2.6.14 - 21 Oct 2024 =
- Improvement: Popup module and SDK update

= 2.6.13 - 14 Oct 2024 =
- Fix: Meeting login for vendors did not work 
- Fix: If one user logged into a meeting, he also logged into other meetings

= 2.6.12 - 08 Sept 2024 =
- Improvement: Enhanced the login process for a more seamless experience
- Improvement: Enhanced meeting registration functionality for WooCommerce product

= 2.6.11 - 18 July 2024 =
- Improvement: Enhanced compatibility to support WordPress 6.6

= 2.6.10 - 30 Jun 2024 =
- New: Translation support for 'Multivendor Addon for Jitsi Meet' 

= 2.6.9 - 25 Jun 2024 =
- New: Added pot file & made the entire plugin text translatable
- New: Option to customize the meeting URL
- Fix: Resolved issue where OpenSSL was unable to sign data

= 2.6.8 - 04 Apr 2024 =
- Improvement: Enhanced compatibility to support WordPress 6.5

= 2.6.7 - 31 Mar 2024 =
- Fix: Fixed Appsero client Not found error

= 2.6.6 - 28 Mar 2024 =
- Fix: Fixed Appsero SDK conflict with other plugins

= 2.6.5 - 11 Mar 2024 =
- Improvement: Updated Appsero client

= 2.6.4 - 29 FEB 2024 =
- Fix: Fixed Cross Site Scripting (XSS) vulnerability

= 2.6.3 - 23 JAN 2024 =
- Fix: Minor bug fixes and enhancement

= 2.6.2 - 27 DEC 2023 =
- Fix: Resolved the Jitsi free API moderator login issue
- Fix: Fixed the issue where the Mic and Video were not accessible when using shortcode
- Improvement: Updated the meeting name to "Example meeting" for improved clarity

= 2.6.1 - 21 DEC 2023 =
- Fix: Fixed conflict with with Royal Elementor Addons

= 2.6.0 - 18 DEC 2023 =
- New: Added domain field in Gutenberg block
- Improvement: Fixed meeting name issue and enhanced free meeting permissions
- Improvement: Updated API settings and added public server for meetings

= 2.5.8 - 03 DEC 2023 =
- Fix: Fixed warning issue during appointment booking with Jitsi Meet and Woocommerce plugin.
- Fix: Resolved login problems with JaaS 8x8 Free API when creating meetings with Gutenberg block.

= 2.5.7 - 08 NOV 2023 =
- Improvement: Enhanced compatibility to support WordPress 6.4
- Improvement: Updated new popup design

= 2.5.6 - 02 NOV 2023 =
- Fix: Fixed an issue that caused a fatal error when calling the set_campaign method on null due to a conflict between the SDK and some plugin

= 2.5.5 - 23 OCT 2023 =
- Improvement: Updated new popup design

= 2.5.4 - 16 OCT 2023 =
- Fix: Fixed App ID, API key & private key missing notice when meeting generated with shortcode or Gutenberg block

= 2.5.2 - 04 OCT 2023 =
- New: Added "learn more" CTA in addon cart redirecting to multivendor docs
- Improvement: Removed Jitsi addon from the WP plugin list and multisite network
- Fix: Fixed the warning notice while replacing the ultimate version and addon

= 2.5.1 - 25 SEPT 2023 =
- Fix: Displayed App id, Api key, Private key  missing notice only  when selected Api JaaS 8x8
- Fix: Fixed bug undefined constant JITSI_MEET_WP_VERSION 

= 2.5.0 - 24 SEPT 2023 =
- New: WCFM Compatibility with jitsi meet
- Improvement: Required virtual field in Dokan when checked Jitsi Meet as product

= 2.4.1 - 19 SEPT 2023 =
- Improvement: Updated WPCS to version 3.0.0 
- Fix: Fixed security issues for WPCS version 3.0.0 

= 2.4.0 - 13 SEPT 2023 =
- New: Added MultiVendorX compatibility with Jitsi Meet
- New: Added loader while activating/deactivating  multivendor add-ons
- Improvement: Modified addon installation and updating process
- Improvement: Updated the "open in new" icon link from addon cart

= 2.3.1 - 23 AUG 2023 =
- New: Added "Settings" CTA in the plugin list page for Jitsi Pro and Ultimate version
- Improvement: Changed the "open in new" icon & link in addon page
- Fix: Fixed typo spacing in affiliate notice CTA
- Fix: Locked all ultimate feature when ultimate plugin activate with pro license

= 2.3.0 - 20 AUG 2023 =
- Fix: Fixed five minutes limit issue

= 2.2.1 - 14 AUG 2023 =
- Improvement: If vendor checked Jitsi-Meet as a product, only then the "Choice meeting" field would be displayed. And it would be a mandatory field if the Jitsi Meet is checked.

= 2.2.0 - 10 AUG 2023 =
- New: Introduced "Multivendor Addon for Jitsi Meet", currently compatible with Dokan
- Improvement: Enhanced compatibility to support WordPress 6.3

= 2.1.5 - 04 JULY 2023 =
- Fix: Update affiliate notice text & links

= 2.1.4 - 04 JULY 2023 =
- Fix: Enhanced affiliate notice mechanism
- Fix: Enhanced review notice mechanism
- Improvement: Screen sharing enable & disable feature

= 2.1.3 - 26 JUNE 2023 =
- Fix: Minor bug fixes and enhancement

= 2.1.2 - 25 JUNE 2023 =
- Fix: Minor bug fixes and enhancement

= 2.1.1 - 29 MAY 2023 =
- New: Multisite compatibility
- Fix: Invite option not available with the Elementor block 
- Fix: Global configuration settings should reflect on the meeting posts for the first time while creating a new meeting 
- Fix: Start Video Muted, Enable Outbound, Welcome Page & Enable Transcription global settings not saved in the database
- Improvement: Removed recording, livestreaming, transcription & outbound-call settings from single meeting and moved to the global settings

= 2.1.0 - 30 APR 2023 =
- New: Feature to hide/show Jitsi Meeting sidebar

= 2.0.5 - 19 APR 2023 =
- Fix: Fixed FluentCRM not collect leads 
- Fix: Minor bug fixes and enhancement

= 2.0.4 - 29 MAR 2023 =
- Improvement: Checked compatibility with WordPress 6.2
- Improvement: Installing pro and ultimate should redirect to the License Activation page
- Fix: Should register meeting not working
- Fix: Warning message while choosing JaaS or Self hosted option in welcome page for pro & ultimate version
- Fix: Not sending meeting mail and not able to login using registered mail for WooCommerce product

= 2.0.3 - 16 MAR 2023 =
- Improvement: Updated WPPOOL SDK
- Improvement: Updated Appsero Client
- Fix: FluentCRM not manage leads

= 2.0.2 - 13 MAR 2023 =
- Fix: Resolved bug when compatible with "Elementor Header & Footer Builder" plugin
- Fix: Fixed critical error on front-end when pro license is activated
- Fix: Join Meeting interface is showing admin username and profile photo for all meeting attendee when JaaS 8x8 API is used
- Fix: All meeting attendee joined as modarator
- Fix: When admin settiings is empty then loaded from cache
- Fix: If enabled 'Recurring Meeting" does not show meeting interface in the frontend
- Improvement: Updated WPPOOL SDK

= 2.0.1 - 15 FEB 2023 =
- Fix: Minor bug fixes and enhancement

= 2.0.0 - 13 FEB 2023 =
- Fix: All security issues have been resolved
- Improvement: Strictly followed PHPCS and WPCS as coding standard
- Improvement: Updated WPPOOL SDK
- Fix: The compatibility issue with WordPress 6.1 has been fixed

= 1.2.5 - 3 OCT 2022 =
- Regular user experience checked and improved 

= 1.2.4 - 6 SEP 2022 =
- Checked and fixed compatibility with WordPress 6.0.2

= 1.2.3 - 19 AUG 2022 =
- Regular user experience checked and improved 

= 1.2.2 - 3 AUG 2022 =
- Checked and fixed compatibility with WordPress 6.0.1
- Updated and optimize user friendly and organized readme

= 1.2.1 - 29 MAY 2022 =
- Checked and fixed compatibility with WordPress 6.0

= 1.2.0 - 30 MAR 2022 =
- Checked and fixed regular compatibility checking
- Fixed contact subscription issue

= 1.1.10 - 13 MAR 2022 =
- Fix: JavaScript conflict error with Classic Editor and All in One Seo plugins
- Improved: Tested and made compatible with WordPress 5.9.2

= 1.1.9 - 08 MAR 2022 =
- Improved: Tested and made compatible with WordPress 5.9.1
- Fixed: Logged in user not automatically added to room

= 1.1.8 - 15 FEB 2022 =
- Improved: Elementor 3.5.5 compatibility
- Improved: New icon on gutenberg block 

= 1.1.7 - 26 JAN 2022 = 
- Improved: Tested and make compitable with WordPress 5.9

= 1.1.6 - 02 JAN 2022 = 
- Added: Enabling/Disabling inviting
- Improved: Tested and make compitable with PHP 8.1

= 1.1.5 - 23 DEC 2021 =
- Updated: Frequently asked questions
- Modified: Change Headway position

= 1.1.4 - 19 DEC 2021 =
- Fixed: Force welcome screen issue
- Added: Skip button on welcome screen
- Updated: Logo and assets

= 1.1.3 - 06 DEC 2021 =
- Added: Enable using your own hosted jitsi 
- Added: Welcome screen on activation to setup jitsi api source

= 1.1.2 - 15 NOV 2021 =
- Improved: Tested and make compitable with WordPress 5.8.2
- Added: Review & Affiliate banner on admin 

= 1.1.1 - 25 OCT 2021 =
- Updated: Description on plugin page
- Updated: Screenshots on plugin page 
- Added: Screenshots on plugin page 

= 1.1.0 - 29 SEP 2021 =
- Modified: Integration with Jitsi Pro and Jitsi Ultimate

= 1.0.9 - 23 SEP 2021 =
- Modified: Link to pro version 
- Added: Headway changelog viewer on admin menu 

= 1.0.8 - 15 SEP 2021 =
- Improvement: Randomize the meeting name on shortcode

= 1.0.7 - 14 SEP 2021 =
- Improvement: Improved compatibility for WordPress 5.8.1
- Improvement: Changelog Reorganized

= 1.0.6 - 06 SEP 2021 =
- Updated: Setting page
- Added: Elementor Widget

= 1.0.5 - 12 APR 2021 =
- Updated: Appsero client
- Added: Deactivation reasons

= 1.0.4 - 08 NOV 2020 =
- Added: Start with audio muted option
- Added: Start with video muted option
- Added: Start with screen sharing option

= 1.0.3 - 17 AUG 2020 =
- Mobile responsive fixed with app download option

= 1.0.2 - 14 AUG 2020 =
- Enabled name edit on gutenberg block
- Optimized gutenberg block

= 1.0.1 - 12 AUG 2020 =
- Shortcode added

= 1.0.0 - 22 JUL 2020 =
- Initial stable realese